package com.example.sampleproject;

import jp.co.nsw.baassdk.NswBaaSManager;
import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;

public class MainActivity extends Activity {

	private NswBaaSManager mManager = null;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		// NswBaaSManagerインスタンスの取得
        mManager = NswBaaSManager.getInstanse(getApplicationContext());
        
        // 初期化を実行
        mManager.init("[Google Developers Consoleで取得したProject Numberを指定する]", "[ポスモバWebで発行されたSDK IDを指定する]");
        
        // SDKのパーミッションを指定。以下の指定では、「Push通知を受信する」「位置情報検索を使用する」。
        mManager.setPermission(true, true);
        
        // 通知領域に表示されるアイコンの指定
        //mManager.setNotificationSmallIconID(R.drawable.small);
        //mManager.setNotificationLargeIconID(R.drawable.large);
        
        // Push受信時のサウンドの指定
        mManager.setNotificationSoundUri(android.provider.Settings.System.DEFAULT_NOTIFICATION_URI);
        
        // ダイアログから起動するIntentを指定
        Intent intent = new Intent();
        ComponentName comp = new ComponentName(getPackageName(), MainActivity.class.getName());
        intent.setComponent(comp);
        intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
        mManager.setDefaultStartIntent(intent);
	}
	
    @Override
    protected void onPause() {
        super.onPause();
        // pause()をコールする
        mManager.pause();
    }

    @Override
    protected void onResume() {
        super.onResume();
        // resume()をコールする
        mManager.resume();
    }

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
